package cn.edu.whu.boot.allocation.entities;

import java.io.Serializable;
import java.util.Date;

public class RouteLine implements Serializable{

    private static final long serialVersionUID = -4234791937496046197L;

    private Integer id;

    private Integer collectorId;

    private String name;

    private String polyline;

    private String begindate;

    private String stopdate;

    private Date uploadTime;

    private String primaryKeySeq;

    public Integer getId()
    {
        return id;
    }

    public void setId(Integer id)
    {
        this.id = id;
    }

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getPolyline()
    {
        return polyline;
    }

    public void setPolyline(String polyline)
    {
        this.polyline = polyline;
    }

    public String getBegindate()
    {
        return begindate;
    }

    public void setBegindate(String begindate)
    {
        this.begindate = begindate;
    }

    public String getStopdate()
    {
        return stopdate;
    }

    public void setStopdate(String stopdate)
    {
        this.stopdate = stopdate;
    }

    public Date getUploadTime()
    {
        return uploadTime;
    }

    public void setUploadTime(Date uploadTime)
    {
        this.uploadTime = uploadTime;
    }

    public String getPrimaryKeySeq()
    {
        return primaryKeySeq;
    }

    public void setPrimaryKeySeq(String primaryKeySeq)
    {
        this.primaryKeySeq = primaryKeySeq;
    }

    public Integer getCollectorId() {
        return collectorId;
    }

    public void setCollectorId(Integer collectorId) {
        this.collectorId = collectorId;
    }
}
